Subject: Re: [PATCH v6 3/3] bundle doc: elaborate on rev<->ref restriction

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Jul 2021 13:19:36 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> +Revisions must accompanied by reference names to be packaged in a
> +bundle, since the header of the bundle is in a format similar to 'git
> +show-ref'.

This may be an improvement in the way how the description refers to
"show-ref", but we do not have to say anything about "show-ref" ;-)

The reason we should give readers why they must give refs while
creating a bundle, I think, is because the only way to access the
contents of the bundle is to fetch refs from it, and the refs given
to the command when the bundle was created becomes the refs that can
be fetched from the bundle.

Thanks.